# This file created by conda-build 3.18.11
# meta.yaml template originally from:
# C:\ci\containers\00001aq4h8n\tmp\build\80754af9\rsync-recipes\libtiff-4.1.0-c_compiler_vs2017-cxx_compiler_vs2017-vc_14-target_win-32-on-winbuilder, last modified Fri Nov  8 17:01:51 2019
# ------------------------------------------------

package:
    name: libtiff
    version: 4.1.0
source:
    patches:
        - patches/0001-CVE-2017-11613_part1.patch
        - patches/0002-CVE-2017-11613_part2.patch
        - patches/fix_TIFFReadRawStrip_man_page_typo.patch
    sha256: 5d29f32517dadb6dbcd1255ea5bbc93a2b54b94fbf83653b4d65c7d6775b8634
    url: https://download.osgeo.org/libtiff/tiff-4.1.0.tar.gz
build:
    missing_dso_whitelist:
        - /opt/X11/lib/libGL.1.dylib
        - /opt/X11/lib/libglut.3.dylib
    number: '0'
    run_exports:
        - libtiff >=4.1.0,<5.0a0
    string: h56a325e_0
requirements:
    build:
        - ca-certificates 2019.10.16 0
        - cmake 3.14.0 h33f27b4_0
        - ninja 1.9.0 py37h74a9793_0
        - openssl 1.1.1d he774522_3
        - python 3.7.5 h8c8aaf0_0
        - sqlite 3.30.1 he774522_0
        - vc 14.1 h0510ff6_4
        - vs2015_runtime 14.16.27012 hf0eaf9b_0
        - vs2017_win-32 19.16.27032.1 h9fe4bb2_0
        - vswhere 2.7.1 h21ff451_0
    host:
        - jpeg 9b he27b436_2
        - vc 14.1 h0510ff6_4
        - vs2015_runtime 14.16.27012 hf0eaf9b_0
        - xz 5.2.4 h2fa13f4_4
        - zlib 1.2.11 h62dcd97_3
        - zstd 1.3.7 h508b16e_0
    run:
        - jpeg >=9b,<10a
        - vc >=14.1,<15.0a0
        - vs2015_runtime >=14.16.27012,<15.0a0
        - xz >=5.2.4,<6.0a0
        - zlib >=1.2.11,<1.3.0a0
        - zstd >=1.3.7,<1.3.8.0a0
test:
    commands:
        - if not exist %PREFIX%\\Library\\bin\\tiff.dll exit 1
        - if not exist %PREFIX%\\Library\\bin\\tiffxx.dll exit 1
        - if not exist %PREFIX%\\Library\\bin\\libtiff.dll exit 1
        - if not exist %PREFIX%\\Library\\bin\\libtiffxx.dll exit 1
about:
    description: 'This software provides support for the Tag Image File Format (TIFF),
        a

        widely used format for storing image data.

        '
    doc_url: http://www.libtiff.org/document.html
    home: http://www.libtiff.org/
    license: HPND
    license_file: COPYRIGHT
    summary: Support for the Tag Image File Format (TIFF).
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - jakirkham
        - mingwandroid
        - msarahan
        - ocefpaf
        - stuarteberg
